#! /usr/bin/env python3

import sys
import os
import subprocess

def printUsageAndExit() :
  print("USAGE : %s file.conllu embeddingsSize"%sys.argv[0], file=sys.stderr)
  exit(1)

if __name__ == "__main__" :
  if len(sys.argv) != 3 :
    printUsageAndExit()

  pathToFile = sys.argv[1]
  embeddingsSize = int(sys.argv[2])
  splited = os.path.splitext(pathToFile)
  target = splited[0] + ".w2v"

  p = subprocess.Popen("word2vec -cbow 0 -size %s -window 10 -negative 5 -hs 0 -sample 1e-1 -threads 2 -binary 0 -iter 15 -min-count 2 -train %s -output %s"%(embeddingsSize, pathToFile, target), stdout=subprocess.PIPE, stderr=subprocess.PIPE, shell=True)
  p.wait()

